Bug 1470685 - Disable Yahoo!
Disable Yahoo!
Status: ON_QA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pidgin (Show other bugs)
7.5
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Debarshi Ray
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-13 08:58 EDT by Debarshi Ray
Modified: 2017-10-10 09:46 EDT (History)
1 user (show)

See Also:
Fixed In Version: pidgin-2.10.11-6.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Debarshi Ray 2017-07-13 08:58:08 EDT
Pidgin upstream has removed support for MySpace because it doesn't work anymore. See: https://bitbucket.org/pidgin/www/src/tip/htdocs/ChangeLog?fileviewer=file-view-default

It says:

* Remove the Yahoo! protocol plugin. Yahoo has completely
  reimplemented their protocol, so this version is no longer operable as
  of August 5th, 2016:
  https://yahoo.tumblr.com/post/145715934739/q2-2016-progress-report-on-our-product
  A new protocol plugin has been written to support the new protocol.
  It can be found here: https://github.com/EionRobb/funyahoo-plusplus
  This also removes support for Yahoo! Japan. According to
  http://messenger.yahoo.co.jp/ the service ended March 26th, 2014.

Let's do the same to reduce the total code surface exposed to security attacks.
Comment 2 Debarshi Ray 2017-10-05 14:16:26 EDT
There is https://github.com/EionRobb/funyahoo-plusplus that implements Yahoo's new protocol, but it apparently doesn't work. See:
  https://bugzilla.redhat.com/show_bug.cgi?id=1469991#c4

Even if it did work, it would be a separate package, and we'd still have to disable the code inside pidgin itself.
Comment 3 Debarshi Ray 2017-10-06 12:39:28 EDT
I have built pidgin-2.10.11-6.el7:
https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=14210258

Note You need to log in before you can comment on or make changes to this bug.